Could not build objective-c module TwitterKit

ios

#1

I went through the process of installing Fabric and TwitterKit and can get my sample app to build but I’m seeing this error in XCode:

Could not build objective-c module TwitterKit

I’m using XCode 7 beta 4. Should Fabric work with Swift 2? And is all the srouce actually Objectice-C?


#2

I have same problem.
I’m using Xcode 6.1.1
Can someone help with this?


#3

I have the same problem. Any update on this?


#4

Hey guys,

Can you guys 1) go into TwitterCore.framework and TwitterKit.framework in your project directory, 2) look for a file Info.plist and 3) look for the value under CFBundleVersion? What does it say for TwitterCore and TwitterKit?


#5

If you’re using CocoaPods, run both pod update 'TwitterKit' and pod update 'TwitterCore' to ensure you’re updating both frameworks. You should be all set after that!


#6

I’m new to CocoaPods. Should I follow steps mentioned here :
https://docs.fabric.io/ios/fabric/cocoapods.html ?


#7

Using:

pod ‘Fabric’, '~> 1.5.1’
pod ‘TwitterCore’, '~> 1.11.1’
pod ‘TwitterKit’, '~> 1.11.1’
pod ‘Crashlytics’, ‘~> 3.3.1’

I’m getting: could not build Objective-C module ‘TwitterKit’. Debug info from this module will be unavailable in the debugger and this break lldb debugging of my proj.


#8

Hey guys.
I had this fixed by using this setting:


#9